/*
Theme Name: Avada Child
Description: Child theme for Avada theme
Author: ThemeFusion
Author URI: https://theme-fusion.com
Template: Avada
Version: 1.0.0
Text Domain:  Avada
*/

@media only screen and (max-device-width: 640px) {
    .fusion-fullwidth.fusion-builder-row-1 {
        margin: 0 !important;
        padding: 0 !important; /* voliteľne aj padding */
    }

    #content .width-100 .fusion-fullwidth.timeline-cnt, .width-100 .nonhundred-percent-fullwidth.timeline-cnt,
    #content .width-100 .fusion-fullwidth.h-slider-container, .width-100 .nonhundred-percent-fullwidth.h-slider-container {

        margin-left: 0;
        margin-right: 0;
        padding-left: 0;
        padding-right: 0;
    }

    .fusion-builder-row > .fusion_builder_column {
        margin-bottom: 0;

    }
}

@media only screen and (min-device-width: 640px) {
    html.avada-is-100-percent-template #main.width-100 {
        padding-top: 10px;
    }

    .fusion-builder-row.fusion-row.fusion-flex-align-items-stretch.fusion-flex-content-wrap {
        max-width: 1200px !important;
    }

    #menu-logo-holder{
        position: relative;
        left: -37px;
    }
}

.awb-menu__main-li_regular.current-menu-ancestor .awb-menu__main-background-active_bottom-vertical,
.awb-menu__main-li_regular.current-menu-item .awb-menu__main-background-active_bottom-vertical,
.awb-menu__main-li_regular.current-menu-parent .awb-menu__main-background-active_bottom-vertical,
.awb-menu__main-li_regular.expanded .awb-menu__main-background-active_bottom-vertical,
.awb-menu__main-li_regular.hover .awb-menu__main-background-active_bottom-vertical,
.awb-menu__main-li_regular:active .awb-menu__main-background-active_bottom-vertical,
.awb-menu__main-li_regular:focus .awb-menu__main-background-active_bottom-vertical,
.awb-menu__main-li_regular:focus-within .awb-menu__main-background-active_bottom-vertical,
.awb-menu__main-li_regular:hover .awb-menu__main-background-active_bottom-vertical {
    opacity: 0 !important;
    display: none;
}

.awb-menu__main-ul .current-menu-item .menu-text,
.awb-menu__main-li_regular:active .menu-text,
.awb-menu__main-li_regular:hover .menu-text,
.awb-menu__main-li_regular:focus .menu-text
{
    color: #B7836C;
}
/* timeline */
/* Vertikálna prerušovaná čiara */
#timeline-line {
    position: absolute;
    width: 2px;
    background: repeating-linear-gradient(
            to bottom,
            #ccc,
            #ccc 10px,
            transparent 10px,
            transparent 20px
    );
    z-index: 0;
    left: 50%;
    transform: translateX(-50%);

}

/* Body */
.timeline-dot {
    position: absolute;
    width: 24px;
    height: 24px;
    background-color: #D9D9D9;
    border-radius: 50%;
    z-index: 2;
    left: 50%;
    transform: translateX(-50%) scale(0.8);
    opacity: 0;
    transition: all 0.4s ease-out;
}

/* Aktivovaný bod */
.timeline-dot.visible {
    transform: translateX(-50%) scale(1);
    opacity: 1;
}
#fki-team .awb-swiper .fusion-image-wrapper {
    box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.1);
}
#fki-team .awb-imageframe-style-below .awb-imageframe-caption-container {
    top: -34px;
    position: relative;
    padding: 46px;
    background: #FFF;
    z-index: 500;
    border-radius: 34px;
    text-align: left;
    box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.1);
}

/* flip cards team */
.fki-team-cards{
    padding-bottom: 60px;
}

.fki-team-cards .flip-box-front .flip-box-front-inner {
    bottom: -12%;
    position: absolute;
    background: #FFF;
    left: 0;
    padding: 34px 34px;
    border-radius: 34px;
    text-align: left;
    box-shadow: 5px 5px 20px rgba(0, 0, 0, 0.1);
}

.fki-blog-row {
    padding: 60px 15px;
}

.fki-blog-prev-item {
    display: block;
    max-height: 514px;
}

.fki-blog-prev-title {
    background: #93C0C0;
    padding: 46px 46px 0 ;
    position: relative;
    top: -50px;
    border-top-left-radius: 34px;
    border-top-right-radius: 34px;
    z-index: 200 !important;
}

.fki-blog-prev-cnt {
    color: #FFF;
    position: relative;
    top: -56px;
    padding: 0 46px;
}

.fki-blog-prev-cnt p {
    margin-bottom: 0;
}

.fusion-form .fusion-layout-column {
    margin-bottom: 0 !important;
}

.newsletter-row .fusion-form-field,
.newsletter-row .fusion-button.button-flat{
    margin: 0 !important;
}

.post-header-container .awb-imageframe-caption-title {
    position: absolute;
    z-index: 500;
    top: 53%;
    margin: 0 15%;
}
.fusion-image-wrapper,
.fusion-blog-layout-grid .fusion-post-wrapper .fusion-image-wrapper img {
    border-radius: 30px;
}

/* Mobilné zobrazenie */
@media screen and (max-width: 768px) {
    #timeline-line {
        left: 30px;
        transform: none;
    }

    .timeline-dot {
        left: 19px;
        transform: scale(0.8);
    }

    .timeline-dot.visible {
        transform: scale(1);
    }

    section.timeline-cnt{
        padding-left: 70px !important;
        padding-right: 30px !important;
    }

    .fki-blog-row {
        padding: 30px 0 ;
    }

    .fki-blog-row  .fusion-column-wrapper{
        max-height: 460px;
    }

    .fki-blog-prev-item .fki-blog-prev-title {
            display: block;
            margin-left: 0 !important;
            margin-right: 0 !important;
            padding: 22px 29px 0px;
    }
    .fki-blog-prev-item .fki-blog-prev-cnt {
        margin-left: 0 !important;
        margin-right: 0 !important;
        padding: 0px 29px 0px;
    }

    .fki-team-cards .flip-box-front .flip-box-front-inner {
        bottom: -8%;
    }



    .fki-team-cards .fusion-column {
        margin-bottom: 118px;
    }
    .fki-team-cards .fusion-column:last-child {
        margin-bottom: 0;
    }
}

@media only screen and (max-device-width: 640px) {
    .awb-menu.collapse-enabled.mobile-mode-collapse-to-button .awb-menu__m-toggle{
        border-radius: 30%;
    }
}


.mailerlite-subscribe-submit {
    border-radius: 14px;
    color: #FFF;
    background-image: linear-gradient(to bottom, #b7836c, #b7836c);
    text-transform: inherit;
    font-size: 18px;
    line-height: 24px;
    padding-top: 16px;
    padding-bottom: 16px;
    letter-spacing: 0px;
    font-family: "Manrope", sans-serif;
    font-style: normal;
    font-weight: 400;
    margin-bottom: 16px;
    border: none;
    padding-left: 24px;
    padding-right: 24px;
}

.mailerlite-subscribe-submit:hover {
    background-image: linear-gradient(to bottom, #9f735e, #8a5f4d);
}

.mailerlite-form .mailerlite-subscribe-button-container {
    text-align: left;
    padding: 20px 0 0;
}

.mailerlite-form-inputs input{
    border: 1px solid #777;
    color: #565656;
    padding: 24px 9px;
}

#footer-newsletter .mailerlite-form-title,
#footer-newsletter .mailerlite-form-field label {
    display: none;
}

#footer-newsletter .mailerlite-form form {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    column-gap: 32px;
}

#footer-newsletter .mailerlite-form .mailerlite-form-inputs {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    column-gap: 32px;
}

#footer-newsletter .mailerlite-form .mailerlite-form-field{
    border: none;
    border-radius: 14px;
    font-size: 19px;
    padding: 27px 10px;
    min-width: 600px;
    margin-bottom: 0;
}
#footer-newsletter .mailerlite-form-inputs input{
    border: none;
    border-radius: 14px;
    font-size: 18px;
    padding: 28px 25px;
}
#footer-newsletter .mailerlite-subscribe-submit {
    min-width: 250px;
}
#footer-newsletter .mailerlite-form-inputs input::placeholder{
    color: #979797;
}

/*#footer-newsletter .mailerlite-form .mailerlite-form-response{*/
/*    flex-basis: 100%;*/
/*}*/

#footer-newsletter .mailerlite-form-error {
    padding-top:10px;
    font-size: 14px;
}

#footer-newsletter .mailerlite-form-description{
    margin-bottom: 0;
}

#footer-newsletter .mailerlite-form .mailerlite-form-response {
    margin-top: 0;
}
#footer-newsletter .mailerlite-form .mailerlite-form-response h4
#footer-newsletter .mailerlite-form .mailerlite-form-response p{
    margin-top: 0 !important;
    margin-bottom: 0 !important;
}

@media only screen and (max-device-width: 640px) {
    #footer-newsletter .mailerlite-form .mailerlite-form-field {
        padding: 0;
        min-width: inherit;
        width: 100%;
        font-size: 16px;
    }
}
